* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  margin: 0;
  height: 100%;
}

html {
  font-size: 22px;
}

body {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-areas: "main" "footer";
  grid-template-rows: 1fr 80px;
  gap: 20px;
  font-size: 1.25rem;
  font-family: "Forum", serif;
  font-style: normal;
  font-weight: 400;
  background-color: #21300D;
  color: white;
}

main {
  grid-area: main;
}

footer {
  border-radius: 5px;
  padding: 10px;
  background-color: #0E1405;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 10px;
  grid-area: footer;
}

aside {
}

main {
  grid-column: 1;
  display: flex;
  flex-direction: column;

}


nav {
  display: flex;
  align-items: start;
  justify-content: start;
}

nav > div {
  line-height: 1.5;
  width: 100%;
  flex: 1;
}

.container {
  display: grid;
  grid-template-columns: 0.3fr 1fr 1fr 0.3fr;
  grid-auto-rows: minmax(50px, auto);
  gap: 5px;
  padding: 25px 25px 25px 25px;
}

.header {
  padding: 0px 0px 0px 0px;
  color: white;
}


.header > .heading {
  margin-top: 50px;
  grid-row: 1;
  grid-column: 2/4;
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 7.5rem;
  text-align: center;
  align-items: center;
  justify-content: center;
  padding: 0px 0px 0px 0px;
  display: flex;
}

.header > .background {
  grid-column: 1 / 5;
  grid-row: 1 / 3;
  padding: 0px 0px 0px 0px;
  background-image: linear-gradient(to bottom, rgba(33, 48, 13, 0.5), rgba(33, 48, 13, 1)), url('/static/home/images/login_page.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.header > .image {
  grid-row: 1 / 3;
  grid-column: 3;
  margin-top: 25px;
  margin-right: 25px;
  margin-bottom: 25px;
  width: 100%;
}
.image > img { width: 100%;
  border-radius: 2%;
  border: 5px solid #2f4f4f;
}

.header > .info {
  grid-row: 2;
  grid-column: 2/4;
  display: flex;
  font-size: 1.75rem;
  flex-flow: row wrap;
  align-items: center;
  justify-content: space-around;
  text-align: center;
}

a {
  color: #d2694b;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

a:active {
  text-decoration: underline;
}

.header > .info > div {
  width: 100%;
  padding-bottom: 20px;
}

.header > .info > div:last-child {
  width: 100%;
  padding-top: 50px;
}

.body > .heading {
  grid-row: 1;
  grid-column: 3;
  display: flex;
  align-items: start;
  justify-content: space-around;
  flex-flow: row wrap;
  text-align: center;
  font-size: 2rem;
}

.body > .info {
  grid-row: 2 / 3;
  grid-column: 3;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-flow: row wrap;
  text-align: center;
  row-gap: 5px;
}

.info.about {
  grid-row: 1/3;
}

.body > .info.about > div:nth-of-type(odd) {
  font-size: 2rem;
  width: 100%;
}

.body > .info.about > div:nth-of-type(even) {
  margin-bottom: 10px;
}

.body > .info.faq > div:nth-of-type(odd) {
  font-size: 1.65rem;
  width: 100%;
}


.body > .info.faq > div:nth-of-type(even) {
  margin-bottom: 20px;
  /* Add more spacing below */
  font-size: 1.25rem;
}

.body > .info > .schedule {
  display: grid;
  grid-template-columns: 0.33fr 1fr;
}

.body > .info > .schedule > div {
  font-size: 1.25rem;
  width: 100%;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 5px;
}

.body > .image {
  grid-column: 2;
  grid-row: 1/3;
  display: flex;
  align-self: center;
  flex-direction: column;
  width: 100%;
}

.container > div  {
  border-radius: 5px;
  padding: 10px;
/*  border: 2px solid white; For debugging */
}

.menu > .header {
  font-size: 1.65rem;
}

.menu > div {
  margin-bottom: 15px;
}

.menu > .last {
  margin-bottom: 50px;
}

hr {
  flex-direction: column;
  align-self: center;
  border: none;
  text-align: center;
  overflow: visible;
  height: 5px;
  width: 80%;
  border-top: 3px double #2f4f4f;
  color: #2f4f4f;
}

#logincontainer {
  display:flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-color: #2f4f4f;
  background-image: url('/static/home/images/login_page.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#logincontent {
  font-weight: 400;
  font-style: normal;
  border: 2px solid #2f4f4f;
  border-radius: 0.5em;
  padding: 20px;
  display:grid;
  gap: 5px;
  align-items: center;
  justify-content: space-between;
  grid-template-columns: 1fr;
  width: 30em;
  background-color: #DEF0C7;
  color: black;
}

.login-question {
  text-align: center;
  font-size: 1.5rem;
}

.help {
  text-align: center;
  font-size: 0.8rem;
}

input#id_password {
  border: 2px solid #2f4f4f;
  border-radius: 8px;
  font-size: 1.25rem;
  font-family: "Forum", serif;
  font-weight: 400;
  text-align: center;
  background-color: #DEF0C7;
  height: 50px;
  width: 100%;
}

input#id_password:focus {
  outline: none;
}

button#login-submit {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  font-weight: 600;
  background-color: #DEF0C7;
  font-size: 1.25rem;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  position: absolute;
  right: 5px;
  top: 5px;
}

.login-inputs-block {
  position: relative;
  display: inline-block;
  width: 100%;
}

#id_password_error {
  text-align: center;
  color: #d2694b;
  list-style-type:none;
}

/* RSVP Page styles */
#container-rsvp {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  grid-auto-rows: minmax(50px, auto);
  gap: 5px;
}

#container-rsvp > #heading {
  font-size: 2rem;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 2.5rem;
  height: 200px;
  grid-row: 1;
}

#container-rsvp > #back {
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
  grid-row: 2;
  height: 100px;
}

#container-rsvp hr {
  width: 100%;
}

#container-rsvp > #background {
  grid-column: 1 / 5;
  grid-row: 1 / 3;
  padding: 0px 0px 0px 0px;
  background-image: linear-gradient(to bottom, rgba(33, 48, 13, 0.5), rgba(33, 48, 13, 1)), url('/static/home/images/login_page.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#container-rsvp > div {
  grid-column: 2;
}

#find-guest-form > form {
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  grid-auto-rows: minmax(50px, auto);
  gap: 5px;
  padding: 25px 25px 25px 25px;
}

form > label {
  grid-column: 1;
  place-self: center start;
}

.find-guest-block {
  display: grid;
  grid-template-columns: 1fr;
  grid-column: 2;
}

#find-guest-form input {
  border: 2px solid #2f4f4f;
  border-radius: 8px;
  font-size: 1.25rem;
  font-family: "Forum", serif;
  font-weight: 400;
  text-align: center;
  background-color: #DEF0C7;
  height: 50px;
  width: 100%;
  grid-column: 1/2;
  grid-row: 1;
  outline: none;
}

#find-guest-form input:focus {
  border-color: #7b9ea8;
  box-shadow: 0 0 0 3px rgba(186, 216, 253, 0.25);
}

#find-guest-form button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  font-weight: 600;
  font-size: 1rem;
  background-color: #DEF0C7;
  border: none;
  cursor: pointer;
  grid-column: 1/2;
  z-index; 999;
  grid-row: 1;
  place-self: center end;
  margin: 5px 5px 5px 5px;
}

#rsvp-forms label {
  grid-column: 1;
  place-self: center start;
}

#rsvp-forms input,select {
  border: 2px solid #2f4f4f;
  border-radius: 8px;
  font-size: 1.25rem;
  font-family: "Forum", serif;
  font-weight: 400;
  text-align: center;
  background-color: #DEF0C7;
  height: 40px;
  width: 100%;
  outline: none;
}

#rsvp-form #id_guest {
  height: 0px;
}

#rsvp-forms > div {
  align-items: center;
  text-align: center;
  padding-top: 10px;
  padding-bottom: 10px;
}

#rsvp-form > div {
  display:grid;
  grid-template-columns: 1fr 1.5fr;
  grid-auto-rows: minmax(50px, auto);
  gap: 5px;
}

#rsvp-title {
  grid-column: 1/3;
  font-weight: 400;
  text-align: center;
  font-size: 1.65rem;
  padding-top: 30px;
}


#rsvp-form > #rsvp-title {
  grid-column: 1/3;
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 2.5rem;
  text-align: center;
  align-items: center;
  justify-content: center;
  display: flex;
}

#rsvp-form input:focus {
  border-color: #7b9ea8;
  box-shadow: 0 0 0 3px rgba(186, 216, 253, 0.25);
}

#rsvp-form button {
  background-color: #0E1405;
  font-size: 1.25rem;
  align-items: center;
  justify-self: center;
  cursor: pointer;
  grid-column: 1/3;
  font-family: "Forum", serif;
  font-weight: 400;
  font-style: normal;
  width: 100px;
  height: 2em;
  color: white;
  margin-bottom: 25px;
  margin-top: 25px;
  border: none;
}

.forum-regular {
  font-family: "Forum", serif;
  font-weight: 400;
  font-style: normal;
}

#find-error {
  color: #d2694b;
}

#success {
  align-items: center;
  text-align: center;
  justify-content: center;
  display: flex;
  grid-column: 1/3;
  padding-top: 10px;
  padding-bottom: 10px;
}
